camel-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Claus Ibsen (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CAMEL-5522) Cannot install camel-atom, camel-rss and camel-hbase in Karaf
Date Mon, 20 Aug 2012 10:56:38 GMT

    [ https://issues.apache.org/jira/browse/CAMEL-5522?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13437782#comment-13437782
] 

Claus Ibsen commented on CAMEL-5522:
------------------------------------

karaf@root> features:install camel-hbase
Refreshing bundles org.springframework.beans (54), org.springframework.context.support (57),
org.apache.camel.camel-core (64), org.springframework.context (56)
ERROR: Bundle org.springframework.osgi.extender [69] Error stopping bundle. (java.lang.NoClassDefFoundError:
org/osgi/framework/ServiceRegistration)
java.lang.NoClassDefFoundError: org/osgi/framework/ServiceRegistration
	at org.springframework.osgi.util.OsgiServiceUtils.unregisterService(OsgiServiceUtils.java:41)
	at org.springframework.osgi.extender.internal.support.NamespaceManager.unregisterResolverService(NamespaceManager.java:195)
	at org.springframework.osgi.extender.internal.support.NamespaceManager.destroy(NamespaceManager.java:223)
	at org.springframework.osgi.extender.internal.activator.ContextLoaderListener.shutdown(ContextLoaderListener.java:547)
	at org.springframework.osgi.extender.internal.activator.ContextLoaderListener.stop(ContextLoaderListener.java:431)
	at org.apache.felix.framework.util.SecureAction.stopActivator(SecureAction.java:651)
	at org.apache.felix.framework.Felix.stopBundle(Felix.java:2278)
	at org.apache.felix.framework.Felix$RefreshHelper.stop(Felix.java:4668)
	at org.apache.felix.framework.Felix.refreshPackages(Felix.java:3699)
	at org.apache.felix.framework.PackageAdminImpl.run(PackageAdminImpl.java:365)
	at java.lang.Thread.run(Thread.java:680)
Caused by: java.lang.ClassNotFoundException: org.osgi.framework.ServiceRegistration not found
by org.springframework.osgi.core [68]
	at org.apache.felix.framework.ModuleImpl.findClassOrResourceByDelegation(ModuleImpl.java:812)
	at org.apache.felix.framework.ModuleImpl.access$400(ModuleImpl.java:72)
	at org.apache.felix.framework.ModuleImpl$ModuleClassLoader.loadClass(ModuleImpl.java:1807)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:247)
	... 11 more
Error executing command: Could not start bundle mvn:org.apache.camel/camel-hbase/2.11-SNAPSHOT
in feature(s) camel-hbase-2.11-SNAPSHOT: Unresolved constraint in bundle org.apache.camel.camel-hbase
[127]: Unable to resolve 127.0: missing requirement [127.0] package; (&(package=org.apache.hadoop.hbase)(version>=0.9.0)(!(version>=1.0.0)))
                
> Cannot install camel-atom, camel-rss and camel-hbase in Karaf
> -------------------------------------------------------------
>
>                 Key: CAMEL-5522
>                 URL: https://issues.apache.org/jira/browse/CAMEL-5522
>             Project: Camel
>          Issue Type: Task
>          Components: karaf, osgi
>    Affects Versions: 2.11.0
>            Reporter: Claus Ibsen
>            Priority: Minor
>             Fix For: 2.11.0
>
>
> camel-atom
> camel-hbase
> camel-rss
> On trunk fails to test in tests/camel-itest-karaf.
> I am trying to install them manually in Karaf 2.2.9 to get more detail what happens,
as sometime the unit tests leaves you in the dark (nothing logged of interrest).

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message